| Online Eiffel Documentation

EiffelStudio

# Command Line Options

The EiffelCOM Wizard can be used from the command line for example in batch scripts. The command line utility is com_wizard.exe and is located in $ISE_EIFFEL\wizards\com. Each command line option has both a long and a short name. The long names are all prefixed with -- while the short names are all prefixed with -. Options that take an argument should have the argument directly following the option with a space or a = sign in between the option name and the argument as in:

    --ace="mysystem.ecf"

this option is equivalent to:

    -a "mysystem.ecf"

The list of options is the following:

- --client, -c <DEFINITION_FILE>: Build client to access COM component described by <DEFINITION_FILE>.
- --server, -s <DEFINITION_FILE>: Build new COM component as described by <DEFINITION_FILE>.
- --eiffel, -e <PROJECT_FILE>: Add COM interface to Eiffel project with project file (*.epr) <PROJECT_FILE>.
- --ace, -a <ECF_FILE>: Path to ecf file of Eiffel project to be added a COM interface. Use together with '--eiffel'.
- --facade, -f >FACADE_CLASS>: Name of facade class to generate IDL from. Use together with '--eiffel'.
- --cluster, -u >CLUSTER>: Name of facade class cluster. Use together with '--eiffel'.
- --outofprocess, -o: Access or build out of process component. By default access or build in-process component (DLL).
- --compilec, -i: Compile generated C code.
- --compileeiffel, -l: Compile generated Eiffel code. Implies '--compilec'.
- --marshaller, -m: Build marshaller DLL, can only be used with '--server' and if definition file is an IDL file.
- --destination, -d <DESTINATION>: Generate files in <DESTINATION> folder. By default files are generated in current folder.
- --cleanup, -p: Cleanup destination folder prior to generation. This option cannot be used together with '--backup'.
- --backup, -b: Backup overriden files by adding extension '.bac'. This option cannot be used together with '--cleanup'.
- --graphical, -g: Launch GUI, all other options are ignored.
- --nologo, -n: Do not display copyright information.
- --version, -v: Print version information.
- --help, -h: Display help on how to use the EiffelCOM Wizard command line utility.

See Also: How the EiffelCOM Wizard Works, Generated Files, Class Hierarchy, Adding a COM Interface to an Eiffel Project, Accessing a COM Component, Building a COM Component